//napadla ma jednoducha hra na rozvoj logiky u deti - ukladanie farebnych stvorcov podla vzoru
var c=[[],[],[]];//pracujem s jednoduchou kopiou pola rozhadzanych dlazdic     
     c[0][0]=2;c[0][1]=1;c[0][2]=1;c[0][3]=1;c[0][4]=2;c[0][5]=2;
     c[1][0]=1;c[1][1]=2;c[1][2]=0;c[1][3]=2;c[1][4]=2;c[1][5]=1;
     c[2][0]=2;c[2][1]=1;c[2][2]=1;c[2][3]=1;c[2][4]=2;c[2][5]=1;
var d=[[],[],[]];//referencne pole     
     d[0][0]=1;d[0][1]=1;d[0][2]=1;d[0][3]=2;d[0][4]=2;d[0][5]=2;
     d[1][0]=1;d[1][1]=1;d[1][2]=1;d[1][3]=2;d[1][4]=2;d[1][5]=2;
     d[2][0]=1;d[2][1]=1;d[2][2]=1;d[2][3]=2;d[2][4]=2;d[2][5]=0; 
     
function skontroluj_vyhru(){
			var vyhra=1;
			for(var i=0;i<3;i++){
			  for(var j=0;j<6;j++)	{
			    if(d[i][j]!=c[i][j]){vyhra=0;}			    
			  }
			}
			if(vyhra==1){
			  alert('GRATULUJEM!!!,\nVyhral / Vyhrala si!!!\nSi SIKOVNICEK :-)');
			  vykresli_uvod();
			}  		  			  
}



//zamiesanie pola sa mi nechcelo vymyslat nanovo, tak som vyuzil hotovy kod pre tuto jedinu funkciu z: http://www.hardcode.nl/subcategory_1/article_317-array-shuffle-function
function poleZamiesaj(theArray) {
 	var len = theArray.length;
	var i = len;
	 while(i--){
	 	var p = parseInt(Math.random()*len,10);
		var t = theArray[i];
  		theArray[i] = theArray[p];
	  	theArray[p] = t;
 	}
}

function pridaj_stvorec(ktory,i,j){
     //ktory je v hre 1 alebo 2 farba a suradnica i,j v poli     
		  document.write("<IMG onclick=\"spracujKlik(this)\" id=\""+ktory+","+i+","+j+"\" src=\"obrazky/"+ktory+".png\" width=\"100\" height=\"100\">");
}

function pridaj_stvorce(pole){
	   for(var i=0;i<3;i++){
	      for(var j=0;j<6;j++){
		  pridaj_stvorec(pole[i][j],i,j);	      
	      }
	   document.write("<br>");   
	   }
}

function zamiesaj_stvorce(){       
     vymaz_telo();		       
     pridaj_stvorce(c); 
     vypis_menu_hra();
}


function zamies_stvorce(){       
     vymaz_telo();
     poleZamiesaj(c);     
     pridaj_stvorce(c); 
     vypis_menu_hra();
}


function spracujKlik(toto){			  
			 var pb=polohaBielej(c);
			 var kl=polohaKlik(vratIDcko(toto));
			 //alert(pb[0]+","+pb[1]+"->"+kl[1]+","+kl[2]);			 
			 c[pb[0]][pb[1]]=parseInt(kl[0],10);
			 c[parseInt(kl[1],10)][parseInt(kl[2],10)]=0;
			 zamiesaj_stvorce();
			 skontroluj_vyhru();
}

function polohaKlik(vratene){
		var pole=vratene.split(',');
		return pole;
}

function polohaBielej(){
				var ij=[];
				for(var i=0;i<3;i++){
					for(var j=0;j<6;j++){														
							if(c[i][j]===0){
									ij[0]=i;
									ij[1]=j;																
							}
					}
				}						
				return ij;					
}

function vratIDcko(objekt){
    var id = objekt.id;
    return id; 
}

function pridaj_telo(html){
			var telo = document.getElementsByTagName("body");
	   telo[0].innerHTML=html;	
}

function vymaz_telo(){
			var telo = document.getElementsByTagName("body");
	   telo[0].innerHTML="";	
}

function nacitaj_znova(){
		 document.location.href="index.html";
}

function vypis_menu(){
			 document.write("<br><a href=\"index.html\" onclick=\"zamies_stvorce();return false;\">Klikni sem pre start hry: <strong>Zamiesaj stvorce</strong></a><br>");     	  
      document.write("<a href=\"index.html\" onclick=\"nacitaj_znova();return false;\">Znova: <strong>RESET</strong></a><br>");	
	}

function vypis_menu_hra(){			      	  
      document.write("<a href=\"#\" onclick=\"nacitaj_znova()\">Znova: <strong>RESET</strong></a><br>");	
	}
         
function vykresli_uvod(){
		nacitaj_znova();
		vymaz_telo();
   document.write("Moja mala hra zvana DUALITA pre prehliadac GOOGLE CHROME:<br>Cielom je mat stvorce tak, ako ich vidite usporiadane teraz.<br>Klikni na stvorec pre presun s bielym stvorcom.<br>");
	  var a=new Array();
	  var b=new Array();
	  a=[[1,1,1],
       [1,1,1],
	     [1,1,1]];
	  
   b=[[2,2,2],
       [2,2,2],
	     [2,2,0]];	  
	  
	  var poc=0;
	  var por=0;
	  var image1;
   for(i=0;i<3;i++){
     for(j=0;j<3;j++){
        image1="obrazky/"+a[i][j];
				  document.write("<IMG id=\"1\" src=\""+image1+".png\" width=\"100\" height=\"100\">");
				  por++;			     
     }
     for(j=0;j<3;j++){
        image1="obrazky/"+b[i][j];
        poc++;
				  document.write("<IMG id=\"2\" src=\""+image1+".png\" width=\"100\" height=\"100\">");
				  por++;			     
     }
     document.write("<br>");	  
   }	
   vypis_menu();
	}
	
	

